<?php
use Index\Data\IDbConnection;
use Index\Data\Migration\IDbMigration;

final class NewBlacklistSystem_20231111_015548 implements IDbMigration {
    public function migrate(IDbConnection $conn): void {
        $conn->execute('
            CREATE TABLE prm_blacklist (
                bl_hash BINARY(32) NOT NULL,
                bl_reason ENUM("copyright", "rules", "other") NOT NULL COLLATE "ascii_general_ci",
                bl_created TIMESTAMP NOT NULL DEFAULT current_timestamp(),
                PRIMARY KEY (bl_hash)
            ) ENGINE=InnoDB COLLATE="utf8mb4_bin"
        ');

        $conn->execute('ALTER TABLE prm_uploads DROP COLUMN upload_dmca');
    }
}
